Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.workers
Class Invoker

    java.lang.Object
      java.lang.Thread
          org.apache.sandesha2.workers.SandeshaThread
              org.apache.sandesha2.workers.Invoker

All Implemented Interfaces:
  java.lang.Runnable

public class Invoker
extends SandeshaThread

This is used when InOrder invocation is required. This is a seperated Thread that keep running all the time. At each iteration it checks the InvokerTable to find weather there are any messages to me invoked.

Field Summary

Fields inherited from class org.apache.sandesha2.workers.SandeshaThread
`context, storageManager, threadPool`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Invoker()`

Method Summary
`void` | `forceInvokeOfAllMessagesCurrentlyOnSequence(org.apache.axis2.context.ConfigurationContext ctx, java.lang.String sequenceID, boolean allowLaterDeliveryOfMissingMessages)` Forces dispatch of queued messages to the application.
`protected boolean` | `internalRun()` The main work loop, to be implemented by any child class.

Methods inherited from class org.apache.sandesha2.workers.SandeshaThread
`blockForPause, doPauseIfNeeded, finishPause, getSequences, getWorkerLock, hasStoppedRunning, isThreadStarted, run, runMainLoop, runThreadForSequence, setRanMainLoop, stopRunning, stopThreadForSequence, wakeThread`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Invoker

    public Invoker()

Method Detail

### forceInvokeOfAllMessagesCurrentlyOnSequence

    public void forceInvokeOfAllMessagesCurrentlyOnSequence(org.apache.axis2.context.ConfigurationContext ctx,
                                                            java.lang.String sequenceID,
                                                            boolean allowLaterDeliveryOfMissingMessages)
                                                     throws SandeshaException

  Forces dispatch of queued messages to the application. NOTE: may break ordering

  Parameters:
    `ctx` -
    `sequenceID` -
    `allowLaterDeliveryOfMissingMessages` - if true, messages skipped over during this action will be invoked if they arrive on the system at a later time. Otherwise messages skipped over will be ignored
  Throws:
    `SandeshaException`

### internalRun

    protected boolean internalRun()

  Description copied from class: `SandeshaThread`
  The main work loop, to be implemented by any child class. If the child wants to sleep before the next loop then they should return true.

  Specified by:
    `internalRun` in class `SandeshaThread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.